Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookEmails scheduled or sent to guests
iduuidUnique identifier
booking_iduuid | nullmessage_template_iduuid | nullIdentifier of the email template this email is based on
created_attimestamp with time zoneCreation timestamp
attachmentsArray<{ filename: string; url: string; type: string }> | nullList of attachments to include in the email
bodytextBody of the email
htmltext | nullHTML of the email
include_booking_detailsbooleanWhether booking details should be included in the email
include_booking_linkbooleanWhether a link to the booking status page should be included in the email
include_ical_databooleanWhether an iCal attachment should be included in the email
include_product_imagebooleanWhether a product image should be included in the email
send_attimestamp with time zoneTimestamp at which the email is sent or should be sent
status"manually-scheduled" | "scheduled-around-arrival" | "scheduled-around-departure" | "sent"Status of the email
subjecttextSubject of the email
type"email" | "sms"JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"calendar_event_id": "00000000-0000-0000-0000-000000000000",
"message_template_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T05:19:01.541Z",
"attachments": [
{
"filename": "file",
"url": "https://example.com",
"type": "application/pdf"
}
],
"body": "",
"html": "",
"include_booking_details": false,
"include_booking_link": false,
"include_ical_data": false,
"include_product_image": false,
"send_at": "2026-03-12T05:19:01.541Z",
"status": "sent",
"subject": "",
"type": "email"
}idFilter<uuid>Unique identifier
booking_idFilter<uuid | null>message_template_idFilter<uuid | null>Identifier of the email template this email is based on
created_atFilter<timestamp with time zone>Creation timestamp
attachmentsFilter<Array<{ filename: string; url: string; type: string }> | null>List of attachments to include in the email
bodyFilter<text>Body of the email
htmlFilter<text | null>HTML of the email
include_booking_detailsFilter<boolean>Whether booking details should be included in the email
include_booking_linkFilter<boolean>Whether a link to the booking status page should be included in the email
include_ical_dataFilter<boolean>Whether an iCal attachment should be included in the email
include_product_imageFilter<boolean>Whether a product image should be included in the email
send_atFilter<timestamp with time zone>Timestamp at which the email is sent or should be sent
statusFilter<"manually-scheduled" | "scheduled-around-arrival" | "scheduled-around-departure" | "sent">Status of the email
subjectFilter<text>Subject of the email
typeFilter<"email" | "sms">200A list of messages with the selected columns
206Partial Content
GET /messagescurl -X GET "https://api.bookingmood.com/v1/messages?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"